<solidify-empty-container (keydown.escape)="isEdit ? backToList() : backToDetail()">
  <router-outlet></router-outlet>

  <ng-template [ngIf]="preservationJob">
    <solidify-button-toolbar-detail [backToListNavigate]="backToListNavigate()"
                                    (backToDetailChange)="backToDetail()"
                                    (deleteChange)="delete()"
                                    (editChange)="edit()"
                                    [currentModel]="currentObs | async"
                                    [formPresentational]="formPresentational"
                                    [listExtraButtons]="listExtraButtons"
                                    [mode]="isEdit ? 'edit' : 'detail'"
    >
    </solidify-button-toolbar-detail>

    <div [solidifySpinner]="isLoadingWithDependencyObs | async"
         class="wrapper"
    >
      <dlcm-preservation-planning-job-form #formPresentational
                                           (dirtyChange)="updateCanDeactivate($event)"
                                           (editChange)="edit()"
                                           (submitChange)="update($event)"
                                           *ngIf="isReadyToBeDisplayedObs | async"
                                           [editAvailable]="editAvailable"
                                           [model]="currentObs | async"
                                           [readonly]="!isEdit"
      ></dlcm-preservation-planning-job-form>
    </div>

    <dlcm-preservation-planning-job-execution-container #jobExecutionList
                                                        *ngIf="!isEdit"
    >
    </dlcm-preservation-planning-job-execution-container>
  </ng-template>
</solidify-empty-container>
